name = "Fast Equipment"
version = "0.01"
description = "[BETA] Adds buttons over the inventory that give a fast access to the main tools. Besides adds keybinds for the mentioned tools."
author = "IceGrog"
forumthread = ""
icon = "modicon.tex"
icon_atlas = "modicon.xml"

api_version = 6

dont_starve_compatible = true
reign_of_giants_compatible = true
shipwrecked_compatible = true


local keyslist = {}
local string = ""

local FIRST_NUMBER = 48
for i = 1, 10 do
	local ch = string.char(FIRST_NUMBER + i - 1)
	keyslist[i] = {description = ch, data = ch}
end

local FIRST_LETTER = 65
for i = 11, 36 do
	local ch = string.char(FIRST_LETTER + i - 11)
	keyslist[i] = {description = ch, data = ch}
end

configuration_options = {
  {
    name = "Key_Spear",
    label = "Spear's Keybind",
    default = "1",
    options = keyslist
  },
  {
    name = "Key_Axe",
    label = "Axe's Keybind",
    default = "2",
    options = keyslist
  },
  {
    name = "Key_Pickaxe",
    label = "Pickaxe's Keybind",
    default = "3",
    options = keyslist
  },
  {
    name = "Key_Shovel",
    label = "Shovel's Keybind",
    default = "4",
    options = keyslist
  },
  {
    name = "Key_Hammer",
    label = "Hammer's Keybind",
    default = "5",
    options = keyslist
  },
  {
    name = "Key_Pitchfork",
    label = "Pitchfork's Keybind",
    default = "6",
    options = keyslist
  },
}
